# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/CloseheadExtension/HgCloseHeadSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgCloseHeadSelectionDialog(object):
    def setupUi(self, HgCloseHeadSelectionDialog):
        HgCloseHeadSelectionDialog.setObjectName("HgCloseHeadSelectionDialog")
        HgCloseHeadSelectionDialog.resize(532, 402)
        HgCloseHeadSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgCloseHeadSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=HgCloseHeadSelectionDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.headsList = QtWidgets.QTreeWidget(parent=HgCloseHeadSelectionDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.headsList.sizePolicy().hasHeightForWidth())
        self.headsList.setSizePolicy(sizePolicy)
        self.headsList.setAlternatingRowColors(True)
        self.headsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.headsList.setRootIsDecorated(False)
        self.headsList.setObjectName("headsList")
        self.verticalLayout.addWidget(self.headsList)
        self.label_2 = QtWidgets.QLabel(parent=HgCloseHeadSelectionDialog)
        self.label_2.setObjectName("label_2")
        self.verticalLayout.addWidget(self.label_2)
        self.logEdit = EricSpellCheckedTextEdit(parent=HgCloseHeadSelectionDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.logEdit.sizePolicy().hasHeightForWidth())
        self.logEdit.setSizePolicy(sizePolicy)
        self.logEdit.setTabChangesFocus(True)
        self.logEdit.setAcceptRichText(False)
        self.logEdit.setObjectName("logEdit")
        self.verticalLayout.addWidget(self.logEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgCloseHeadSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgCloseHeadSelectionDialog)
        self.buttonBox.accepted.connect(HgCloseHeadSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgCloseHeadSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgCloseHeadSelectionDialog)
        HgCloseHeadSelectionDialog.setTabOrder(self.headsList, self.logEdit)

    def retranslateUi(self, HgCloseHeadSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        HgCloseHeadSelectionDialog.setWindowTitle(_translate("HgCloseHeadSelectionDialog", "Close Heads"))
        self.label.setText(_translate("HgCloseHeadSelectionDialog", "Select heads to be closed:"))
        self.headsList.headerItem().setText(0, _translate("HgCloseHeadSelectionDialog", "Revision"))
        self.headsList.headerItem().setText(1, _translate("HgCloseHeadSelectionDialog", "Branch"))
        self.label_2.setText(_translate("HgCloseHeadSelectionDialog", "Commit Message:"))
from eric7.EricWidgets.EricSpellCheckedTextEdit import EricSpellCheckedTextEdit
